Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 15/05/2024, à 16:24

freewee

Upgrade en bloquant des paquets [résolu]

Bonjour
Je suis en version 22.04 et désire upgrader vers une version supérieure, c' est banal!
Mais je désire aussi ne pas toucher a ma version de Wine qui fonctionne bien, et j' ai pour cela bloqué ses mises à jour dans Synaptic.
Mais toute tentative d' upgrade me demande à mettre à jour les paquets de Wine, ce que je ne veux pas! Y a t' il moyen de sortir de cette impasse?
J' ai bien tenté des apt hold" nom des paquet", mais pas de changement, l' upgrade me demande toujours de mettre à jour les paquets de Wine...
Merci

Dernière modification par freewee (Le 16/05/2024, à 07:38)

Hors ligne

#2 Le 15/05/2024, à 16:26

Vobul

Re : Upgrade en bloquant des paquets [résolu]

freewee a écrit :

J' ai bien tenté des apt hold" nom des paquet", mais pas de changement,

T'as sûrement pas mis le bon nom du paquet.


Vobul
Utilisez le retour utilisable de commandes !!!
J'aime la langue française, mais je parle franglais, deal with it.
RTFM

Hors ligne

#3 Le 15/05/2024, à 16:28

iznobe

Re : Upgrade en bloquant des paquets [résolu]

Bonjour , a ma connaissance ce n' est pas possible .
il faut impérativement mettre à jour tous les paquets avant de lancer l' upgrade , qui mettra , encore , les paquets à jours , lors de son déploiement .

je vois pas pourquoi tu ne veux pas mettre à jour wine ?

Dernière modification par iznobe (Le 15/05/2024, à 16:29)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#4 Le 15/05/2024, à 16:32

Vobul

Re : Upgrade en bloquant des paquets [résolu]

@iznobe, pourquoi ce ne serait pas possible ? apt hold existe ! Après oui il est préférable de mettre à jour et d'être prêt à downgrade si ça foire, mais je peux comprendre qu'on ne souhaite pas mettre à jour un paquet un peu sensible comme wine, où ton jeu préféré ne va plus se lancer après une mise à jour.

Instructions complètes : https://chat.openai.com/share/7d9fbe78- … 39d275be5c

Dernière modification par Vobul (Le 15/05/2024, à 16:32)


Vobul
Utilisez le retour utilisable de commandes !!!
J'aime la langue française, mais je parle franglais, deal with it.
RTFM

Hors ligne

#5 Le 15/05/2024, à 16:51

iznobe

Re : Upgrade en bloquant des paquets [résolu]

ce n ' est pas possible d' upgrade avec des paquets en hold . Pourquoi , je ne sais pas , c ' est pas moi qui ai fixé cette regle .
Mais des lors que tu demandes a faire la MAN , alors tu as automatiquement le message que tu dois faire toutes les MAJ avant de lancer l' upgrade .

bien sur , il est tout a fait possible de ne pas mettre a jour des paquets ( hold ) , tant qu on ne veut pas faire de MAN .


De toute maniere , je ne pense pas que wine de la 22.04 , fonctionnera sur la 24.04 , sans faire la MAN des paquets concernés ...
sans doute pour ca que , obligatoirement , ca demande de mettre à jour avant .

Dernière modification par iznobe (Le 15/05/2024, à 16:56)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#6 Le 15/05/2024, à 16:51

ylag

Re : Upgrade en bloquant des paquets [résolu]

Bonjour,

freewee a écrit :

J' ai bien tenté des apt hold" nom des paquet", mais pas de changement, l' upgrade me demande toujours de mettre à jour les paquets de Wine...

La commande devrait se lire comme suit :

sudo apt-mark hold paquet1 paquet2 paquetN

... je laisse aux experts le soin de dire si c'est pertinent de le faire.

A+

Dernière modification par ylag (Le 15/05/2024, à 16:52)

Hors ligne

#7 Le 15/05/2024, à 16:56

iznobe

Re : Upgrade en bloquant des paquets [résolu]

oui , mais bon , faudrait tous qu ' on parle avec les meme mots tongue

" upgrader " ca veut rien dire , soit on veut faire une MAN , mise a niveau de ubuntu , soit on veut mettre a jour les paquets et là on parle , a la rigueur d' " update " .
L ' anglais c ' est bien , mais ca ne comporte pas autant de distinction que la langue francaise .


Je suis en version 22.04 et désire upgrader vers une version supérieure, c' est banal!

Là , je comprends qu ' il veut faire une MAN , alors que vous vous avez compris , mettre a jour ...

Dernière modification par iznobe (Le 15/05/2024, à 16:59)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#8 Le 15/05/2024, à 16:58

freewee

Re : Upgrade en bloquant des paquets [résolu]

Merci
Comme je l' ai dejà dit, mes paquets de Wine sont déjà bloqués en "UPDATE", et je constate dans synaptic qu' il sont verouillés (ligne rouge avec cadenas), et il ne me sont plus proposés dans les mises à jour: de ce côté là pas de problème!
Mais L' UPGRADE vers une version supérieure d' Ubuntu ne tient pas compte de ce verrouillage et demande à faire la mise à jour des paquets.
Je me demande s' il n' y a pas un contournement!
Pour Iznobe, je bloque ma version de Wine car les mises à jour apportent le plus souvent des régressions avec les logiciels que j' utilise!

Hors ligne

#9 Le 15/05/2024, à 17:00

iznobe

Re : Upgrade en bloquant des paquets [résolu]

la réponse est donné au #3 : c ' est pas possible .


Mais L' UPGRADE vers une version supérieure d' Ubuntu ne tient pas compte de ce verrouillage et demande à faire la mise à jour des paquets.

on parle de Mise a Niveau dans ce cas , pas d' upgrade qui veut tout et rien dire à la fois .

Je me demande s' il n' y a pas un contournement!

Non plus , la reponse est donnée dans mon autre message .
wine Version ubuntu 22.04 , ne fonctionnera de toute maniere pas sur ta 24.04 si tu trouvais un contournement .

Dernière modification par iznobe (Le 15/05/2024, à 17:04)


retour utilisable de commande
MSI Z490A-pro , i7 10700 , 32 GB RAM .

Hors ligne

#10 Le 15/05/2024, à 17:03

freewee

Re : Upgrade en bloquant des paquets [résolu]

ylag a écrit :

La commande devrait se lire comme suit :

sudo apt-mark hold paquet1 paquet2 paquetN

... je laisse aux experts le soin de dire si c'est pertinent de le faire.

Merci Je vais effectivement tenter avec cette commande pour voir s' il y a une différence!

Hors ligne

#11 Le 15/05/2024, à 17:47

freewee

Re : Upgrade en bloquant des paquets [résolu]

Bon, si il y a un contournement: j' ai supprimé les sources de Wine dans "sources.list.d", et la mise a niveau s' est lancée sans me redemander de mettre a jour les paquets de Wine.
Je tiens au courant si ça marche jusqu' au bout! wink
Merci

Hors ligne

#12 Le 15/05/2024, à 18:27

jplemoine

Re : Upgrade en bloquant des paquets [résolu]

freewee a écrit :

Bon, si il y a un contournement:

Ben justement non... Au du moins pas encore : il faudrait être sûr que ça le fasse jusqu'au bout...

freewee a écrit :

Je tiens au courant si ça marche jusqu' au bout! wink

Justement : c'est là ou on saura si ton système est cassé ou si ça fonctionne.


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#13 Le 16/05/2024, à 07:55

freewee

Re : Upgrade en bloquant des paquets [résolu]

Bonjour
Je confirme que la mise a niveau s' est faite normalement.
Comme j' ai des images de partition, j' ai fait 2 fois la mise a niveau, pour en avoir le cœur net(!), la 2 ème fois en faisant les mises a jour demandées par le processus, normalement quoi!
C' est pareil: donc la méthode est viable, mais elle ne sert à rien pour Wine! Wine fait partie d' une liste de paquets qui sont supprimés lors du processus (sans doute par le fait qu' il existe un ppa pour chaque version d' Ubuntu.)
Donc la réinstallation de Wine est impérative après mise a niveau, je ne l' ai pas pas encore faite, j' espère que la version que j' utilise est encore disponible. (les préfixes Wine eux ne sont pas supprimés heureusement, mais je les sauvegarde aussi)
Donc opération inutile pour Wine!
Merci et désolé du dérangement!

Hors ligne